MONGOC_SERVER_API_VERSION_FROM_STRING(3)

NAME
mongoc_server_api_version_from_string - mongoc_server_api_version_from_string()

SYNOPSIS

        bool
        mongoc_server_api_version_from_string (const char *version,
                                               mongoc_server_api_version_t *out);

Given a string version, populates out with the equivalent mongoc_server_api_version_t if version represents a valid API version.

PARAMETERS

    •   version: A string representing the version identifier.

    •   out: A pointer to a mongoc_server_api_version_t.

RETURNS

True on success, false on failure. On success, out is populated with the converted version string. On failure, out is not altered.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc